<?php

# MySQL Database configuration
$CFG["dbHost"] = "localhost";
$CFG["dbName"] = "squidtl";
$CFG["dbUser"] = "squidtl";
$CFG["dbPwd"] = "secret";
$CFG["siteDomain"] = "proxy.sba.unisi.it";

$echoMessage = '';

# SESSION INIT
session_set_cookie_params(0, '/', $CFG["siteDomain"]);
ini_set("session.cookie_domain", $CFG["siteDomain"]);
session_start();

# SUPPORTO MULTILINGUE
include "lang/en.inc.php";

if(file_exists("lang/".substr($_SERVER["HTTP_ACCEPT_LANGUAGE"],0,2).".inc.php")) {
    include "lang/".substr($_SERVER["HTTP_ACCEPT_LANGUAGE"],0,2).".inc.php";
}

function getString($idx) {
    global $TLANG;
    if(strlen($TLANG[$idx]) > 0) {
	return $TLANG[$idx];
    } else {
	return "[$idx]";
    }
}

function OpenDB()
{
    global $CFG;
    $db = mysql_connect($CFG["dbHost"],$CFG["dbUser"],$CFG["dbPwd"]);
    if($db == false) {
	echo getString("mysql-connection-failed");
	exit();
    }
    mysql_select_db($CFG["dbName"],$db);
    return $db;
}

function GetClientIP() {
    if(getenv('HTTP_X_FORWARDED_FOR')) {
	return getenv('REMOTE_ADDR')." (".getenv('HTTP_X_FORWARDED_FOR').")";
    } else {
	return getenv('REMOTE_ADDR');
    }
}

function PrintDateTime($u_DateTime) {
    list($date_str,$time_str) = explode(" ",$u_DateTime);
    list($year,$month,$day) = explode("-",$date_str);
    list($hour,$min,$secs) = explode(":",$time_str);
    $date_str = $day."/".$month."/".$year." ".$hour.":".$min.":".$secs;
    return $date_str;
}

function PrintTimestamp($u_DateTime) {
    list($date_str,$time_str) = explode(" ",$u_DateTime);
    list($year,$month,$day) = explode("-",$date_str);
    list($hour,$min,$secs) = explode(":",$time_str);
    $date_str = $hour.":".$min.":".$secs;
    return $date_str;
}

function PrintExifDateTime($u_DateTime) {
    list($date_str,$time_str) = explode(" ",$u_DateTime);
    list($year,$month,$day) = explode(":",$date_str);
    list($hour,$min,$secs) = explode(":",$time_str);
    $date_str = $day."/".$month."/".$year." ".$hour.":".$min.":".$secs;
    return $date_str;
}
 
function RFC822DateTime($u_DateTime) {
    list($date_str,$time_str) = explode(" ",$u_DateTime);
    list($year,$month,$day) = explode("-",$date_str);
    list($hour,$min,$secs) = explode(":",$time_str);
    $timestamp = mktime($hour,$min,$secs,$month,$day,$year);
    return date("r",$timestamp);
}

function DateTimeDiff($u_DateTime) {
    list($date_str,$time_str) = explode(" ",$u_DateTime);
    list($year,$month,$day) = explode("-",$date_str);
    list($hour,$min,$secs) = explode(":",$time_str);
    return time() - mktime($hour,$min,$secs,$month,$day,$year);
}

function DateDiff($u_DateTime) {
    list($date_str,$time_str) = explode(" ",$u_DateTime);
    list($year,$month,$day) = explode("-",$date_str);
    $today = getdate(); 
    return mktime(0,0,0,$today['mon'],$today['$mday'],$today['year']) - mktime(0,0,0,$month,$day,$year);
}

function PrintApproxDateTime($u_DateTime) {
    $diff = DateTimeDiff($u_DateTime);
    if($diff < 60) {
	return $diff."s";
    } else {
	$secs = $diff % 60;
	$mins = ($diff-$secs) / 60;
	if($mins > 60) {
	    $mint = $mins % 60;
	    $hours = ($mins - $mint) / 60;
	    if($hours > 24) {
		$hourt = $hours % 24;
		$days = ($hours-$hourt) / 24;
		return $days."d ".$hourt."h ".$mint."m ".$secs."s";  
	    } else {
		return $hours."h ".$mint."m ".$secs."s"; 
	    }
	} else {
	    return $mins."m ".$secs."s"; 
	}
    } 
}

function PrintDate($u_Date) {
    list($date_str,$time_str) = explode(" ",$u_Date);
    list($year,$month,$day) = explode("-",$date_str);
    if(($day > 0)&($month > 0)&($year > 0)) {
	$date_str = $day."/".$month."/".$year;
    } elseif (($month > 0)&($year > 0)) {
	$date_str = $month."/".$year;
    } elseif (($month > 0)&($year > 0)) {
	$date_str = $year;
    } else {
	$date_str = "";
    }    
    return $date_str;
}

function PrintTime($u_Time) {
    list($hour,$min,$secs) = explode(":",$u_Time);
    if(($min > 0)&($secs > 0)) {
	if($hour > 0) {
	    $time_str = $hour."h ".$min."m ".$secs."s";
	} else {
	    $time_str = $min."m ".$secs."s";	
	}
    } else {
	$time_str = "";
    }
    return $time_str;
}

function isLogged($sid) {
    $result = mysql_query("SELECT Username FROM DB_Sessions WHERE ID='$sid' AND TIMESTAMPDIFF(MINUTE,LastUpdate,NOW()) < 60;");
    if($result === false) {
        printf("[isLogged] %s\n",mysql_error());
        exit();
    }
    if(mysql_num_rows($result) > 0) {
        $row = mysql_fetch_array($result,MYSQL_ASSOC);
	/* Rinnova la sessione */    
    	mysql_query("UPDATE DB_Sessions SET LastUpdate=NOW() WHERE ID='$sid';");
	return stripslashes($row["Username"]);
    } else {
	return false;
    }
}

?>